For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Laps by Fixture ID

This endpoint returns all laps for the given fixture ID.

https://api.sportmonks.com/v3/motorsport/fixtures/FIXTURE_ID/laps
{
    "data": [
        {
            "id": 2408,
            "fixture_id": 19402069,
            "lap_number": 4,
            "driver_number": 1,
            "participant_id": 37920800,
            "is_latest": false
        },
        {
            "id": 2421,
            "fixture_id": 19402069,
            "lap_number": 4,
            "driver_number": 30,
            "participant_id": 37920801,
            "is_latest": false
        },

Field
Description
Type

id

Refers to the unique id of the lap

integer

fixture_id

The fixture ID related to the lap

integer

lap_number

The number of the lap in the fixture

integer

driver_number

The driver related to the lap

integer

participant_id

The team of the driver related to the lap

integer

is_latest

Indicates if it's the latest lap

boolean

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Static filters are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our Filters page.

Not applicable for this endpoint.

Pagination

NO

Include depth

You can use a total of 2 nested includes on this endpoint

Include options

fixture participant details

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the Laps endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/motorsport/fixtures/19408487/laps?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/motorsport/fixtures/19408487/laps?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?